Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
mod_php doesnt work on apache2
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Gentoo on PPC
View previous topic :: View next topic  
Author Message
Jeedo
Apprentice
Apprentice


Joined: 02 May 2003
Posts: 202
Location: Akureyri, Iceland

PostPosted: Sun Jan 25, 2004 11:25 pm    Post subject: mod_php doesnt work on apache2 Reply with quote

i thought this was a ppc problem:

[Sun Jan 25 20:31:24 2004] [notice] caught SIGTERM, shutting down
Syntax error on line 5 of /usr/lib/apache2/conf/modules.d/70_mod_php.conf:
Cannot load /usr/lib/apache2/extramodules/libphp4.so into server: /usr/lib/apache2/extramodules/libphp4.so: R_PPC_REL24 relocation at 0x0da31878 for symbol `write' out of range

Thats from error_log

Mod_php: 4.3.4-r2
apache: 2.0.48-r3

Anyone had this work/not work?
Back to top
View user's profile Send private message
redfox
Apprentice
Apprentice


Joined: 21 Dec 2002
Posts: 172
Location: Vicksburg, MS

PostPosted: Mon Jan 26, 2004 4:15 am    Post subject: Reply with quote

try this, i'm not sure how much i can help:

emerge php apache mod_php, in that order, then edit /etc/conf.d/apache2 and add
Quote:
APACHE2_OPTS="-D PHP4"
That should get it. Also, remove all old apache versions, mod_php versions and php versions.
Back to top
View user's profile Send private message
Jeedo
Apprentice
Apprentice


Joined: 02 May 2003
Posts: 202
Location: Akureyri, Iceland

PostPosted: Wed Jan 28, 2004 12:32 am    Post subject: Reply with quote

I did just that, didnt work

Syntax error on line 5 of /usr/lib/apache2/conf/modules.d/70_mod_php.conf:
Cannot load /usr/lib/apache2/extramodules/libphp4.so into server: /usr/lib/apache2/extramodules/libphp4.so: R_PPC_REL24 relocation at 0x0df615fc for symbol `TLSv1_client_method' out of range

Line 5 is btw.
Code:
LoadModule php4_module    extramodules/libphp4.so
Back to top
View user's profile Send private message
redfox
Apprentice
Apprentice


Joined: 21 Dec 2002
Posts: 172
Location: Vicksburg, MS

PostPosted: Wed Jan 28, 2004 12:41 am    Post subject: Reply with quote

Sorry, i've done all i could, :( i have php4 working with apache2 here. As note, I'm using x86 over here though.
Back to top
View user's profile Send private message
Jeedo
Apprentice
Apprentice


Joined: 02 May 2003
Posts: 202
Location: Akureyri, Iceland

PostPosted: Wed Jan 28, 2004 12:43 am    Post subject: Reply with quote

This is .. weird, i've tried modding the CFLAGS as well, from 03 to 01, no good,

Have a G3 here.
Back to top
View user's profile Send private message
blubbfisch
n00b
n00b


Joined: 19 Oct 2003
Posts: 55
Location: World->Pacific->New Zealand->Hamilton

PostPosted: Wed Jan 28, 2004 8:56 am    Post subject: Reply with quote

Did you fiddle with you openssl-stuff _after_ building mod_php?
The error looks like some library-stuff is wrong.
What does re-emerging mod_php do? It helped with my machine.

Have fun*
Back to top
View user's profile Send private message
Jeedo
Apprentice
Apprentice


Joined: 02 May 2003
Posts: 202
Location: Akureyri, Iceland

PostPosted: Thu Jan 29, 2004 11:03 am    Post subject: Reply with quote

havent fiddled with it at all, and i've re-emerged it about 5 times
Back to top
View user's profile Send private message
blubbfisch
n00b
n00b


Joined: 19 Oct 2003
Posts: 55
Location: World->Pacific->New Zealand->Hamilton

PostPosted: Thu Jan 29, 2004 10:18 pm    Post subject: Reply with quote

Do you have an old libssl lying around in some strange place (maybe the dreaded 0.9.6->0.9.7-upgrade didn't work as we all wished it would?)

The symbol you're missing is defined in libcurl.so, libmysqlclient.so, and libssl.so so maybe adjusting your USE-flags helps...?

hmm. it works on my AlBook and on my Pismo.

Have fun*
(nevertheless)
Back to top
View user's profile Send private message
PyG
n00b
n00b


Joined: 21 Apr 2003
Posts: 13
Location: Luxembourg

PostPosted: Sun Feb 22, 2004 10:26 pm    Post subject: Reply with quote

I had the same error message and I have found a solution. In fact, php was compiled with xml2 flag but the package libxslt was missing.
I have simply re-emerged llibxslt and mod_php and it works now.
Code:
emerge libxslt mod_php
Back to top
View user's profile Send private message
benoitc
n00b
n00b


Joined: 02 Aug 2003
Posts: 43
Location: Paris (France)

PostPosted: Mon Feb 23, 2004 11:16 am    Post subject: Re: mod_php doesnt work on apache2 Reply with quote

Jeedo wrote:
i thought this was a ppc problem:

[Sun Jan 25 20:31:24 2004] [notice] caught SIGTERM, shutting down
Syntax error on line 5 of /usr/lib/apache2/conf/modules.d/70_mod_php.conf:
Cannot load /usr/lib/apache2/extramodules/libphp4.so into server: /usr/lib/apache2/extramodules/libphp4.so: R_PPC_REL24 relocation at 0x0da31878 for symbol `write' out of range

Thats from error_log

Mod_php: 4.3.4-r2
apache: 2.0.48-r3

Anyone had this work/not work?


it works for me (apache 2.0.48-r4 , mod_php-4.3.4-r4)

Try :

ACCEPT_KEYWORDS="~ppc" USE="-qt -java" emerge mod_php

I think the problem is java and qt extensions on ppc.


My use flags are :

USE="alsa altivec -apache2 apm bonobo cdr cjk crypt cups directfb dvd dvdr encode evo fam foomaticdb gb gd gif gnome gphoto2 gtk gtk2 imap innodb ipv6 jpeg -kde libgda mad maildir mbox mozilla mpeg
mysql ncurses nls oggvorbis opengl oss pam pda png perl python -qt samba scanner spell ssl tcpd tcltk tiff truetype unicode usb X xml xml2 xmms xinerama zlib"
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Gentoo on PPC All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum